Package com.orbbec.obsensor

## Class Filter

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Filter

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

Direct Known Subclasses:
  `CompressionFilter`, `DeCompressionFilter`, `FormatConvertFilter`, `PointCloudFilter`

    public class Filter
    extends LobClass
    implements java.lang.Cloneable

Base class for all filters

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` release data frame resources
`Frame` `process​(Frame frame)` Process the data frame to get the format converted data frame
`void` `pushFrame​(Frame frame)` filter pushes frame_set into the pending buffer (asynchronous callback interface)
`void` `reset()` Filter reset, after reset, you can reset the format of the filter for the processing of another format
`void` `setCallback​(FilterCallback callback)` Filter sets the processing result callback function (asynchronous callback interface)

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### process

    public Frame process​(Frame frame)

Process the data frame to get the format converted data frame

Parameters:
  `frame` - The data frame to be converted
Returns:
  Formatted Frame

#### reset

    public void reset()

Filter reset, after reset, you can reset the format of the filter for the processing of another format

#### setCallback

    public void setCallback​(FilterCallback callback)

Filter sets the processing result callback function (asynchronous callback interface)

Parameters:
  `callback` - filter callback

#### pushFrame

    public void pushFrame​(Frame frame)

filter pushes frame_set into the pending buffer (asynchronous callback interface)

Parameters:
  `frame` - data frame

#### close

    public void close()

release data frame resources

Specified by:
  `close` in interface `java.lang.AutoCloseable`